Bug 1600685 - [3.7] Deploying logging on a system where /tmp mounted with noexec option fails
Summary: [3.7] Deploying logging on a system where /tmp mounted with noexec option fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.7.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 3.7.z
Assignee: ewolinet
QA Contact: Qiaoling Tang
URL:
Whiteboard:
: 1600063 (view as bug list)
Depends On: 1588009
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-12 18:50 UTC by Scott Dodson
Modified: 2018-08-09 22:15 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Node labeling for Fluentd was done via a script run from the /tmp dir Consequence: if /tmp was mounted with noexec option then ansible could not execute the script and fails to complete the playbook. Fix: we moved the execution out of a script and into a `shell` ansible task Result: we no longer are affected by /tmp noexec and can complete the playbook run successfully.
Clone Of: 1588009
Environment:
Last Closed: 2018-08-09 22:14:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3545801 None None None 2018-07-27 18:02:20 UTC
Red Hat Product Errata RHBA-2018:2337 None None None 2018-08-09 22:15:05 UTC
Red Hat Product Errata RHSA-2018:2013 None None None 2018-07-12 18:50:39 UTC

Comment 2 Feras Al Taher 2018-07-12 20:32:50 UTC
*** Bug 1600063 has been marked as a duplicate of this bug. ***

Comment 4 Qiaoling Tang 2018-08-02 06:05:36 UTC
Verified on ose-ansible-v3.7.61. 
Logging deployed successfully when /tmp mounted with noexec option

#  mount | grep '/tmp'
/dev/tmpfs on /tmp type ext3 (rw,nosuid,noexec,relatime,seclabel,data=ordered)

Comment 6 errata-xmlrpc 2018-08-09 22:14:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2337


Note You need to log in before you can comment on or make changes to this bug.